org.apache.commons.configuration2.builder

## Interface BuilderParameters

- All Known Subinterfaces:
    CombinedBuilderParameters, DatabaseBuilderParameters, FileBasedBuilderParameters, HierarchicalBuilderParameters, INIBuilderParameters, JndiBuilderParameters, MultiFileBuilderParameters, PropertiesBuilderParameters, XMLBuilderParameters
  All Known Implementing Classes:
    BasicBuilderParameters, CombinedBuilderParametersImpl, DatabaseBuilderParametersImpl, EventListenerParameters, FileBasedBuilderParametersImpl, HierarchicalBuilderParametersImpl, INIBuilderParametersImpl, JndiBuilderParametersImpl, MultiFileBuilderParametersImpl, PropertiesBuilderParametersImpl, XMLBuilderParametersImpl

      public interface BuilderParameters

  An interface to be implemented by objects which can be used to parameterize a `ConfigurationBuilder`.

  This interface is part of a Java DSL for creating and initializing builders for specific `Configuration` classes. Concrete implementations typically collect a set of related properties for the builder. There will be specific set methods for providing values for these properties. Then, this interface requires a generic `getParameters()` method which has to return all property values as a map. When constructing the builder the map is evaluated to define properties of the `Configuration` objects to be constructed.

  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESERVED_PARAMETER_PREFIX` Constant for a prefix for reserved initialization parameter keys.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getParameters()` Returns a map with all parameters defined by this objects.

- - ### Field Detail

    - #### RESERVED_PARAMETER_PREFIX

          static final String RESERVED_PARAMETER_PREFIX

      Constant for a prefix for reserved initialization parameter keys. If a parameter was set whose key starts with this prefix, it is filtered out before the initialization of a newly created result object. This mechanism allows implementing classes to store specific configuration data in the parameters map which does not represent a property value for the result object.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParameters

          Map<String,Object> getParameters()

      Returns a map with all parameters defined by this objects. The keys of the map correspond to concrete properties supported by the `Configuration` implementation class the builder produces. The values are the corresponding property values. The return value must not be null.
      Returns:
        a map with builder parameters

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.